#ifndef __QT_PREPROCESSOR_THREAD_H
#define __QT_PREPROCESSOR_THREAD_H

#ifndef NO_QT
#include <QThread>
#include "PreprocessorThread.h"

namespace GtpVisibilityPreprocessor {

class Preprocessor;

class QtPreprocessorThread : public PreprocessorThread, public QThread
{
public:
  QtPreprocessorThread(Preprocessor *p, QObject *parent = 0);
  ~QtPreprocessorThread();
  
  void InitThread() {}
  void RunThread() {
	start(QThread::LowPriority);
  }
  
  
protected:
  void run() {
	Main();
  }
};

}
#endif
#endif
